summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/make_release.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/make_release.sh b/scripts/make_release.sh
index 7c1013a..181d6fe 100755
--- a/scripts/make_release.sh
+++ b/scripts/make_release.sh
@@ -74,6 +74,12 @@ if grep -q UNRELEASED debian/changelog; then
exit 1
fi
+debian_release="$(sed -n '1s/.*(\(.*\)-.*).*/\1/p' debian/changelog)"
+if [ "${release#${v}}" != "${debian_release}" ]; then
+ echo "release version from the debian/changelog (${debian_release}) does not match '${release#${v}}'" >&2
+ exit 1
+fi
+
if [ "${1}" == "--test" ]; then
echo "test mode: all checks ok -- stopping"
exit